Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.compiler
Class JaxpFunctionResolver

    java.lang.Object
      org.apache.ode.bpel.elang.xpath20.compiler.JaxpFunctionResolver

All Implemented Interfaces:
  javax.xml.xpath.XPathFunctionResolver

    public class JaxpFunctionResolver

extends java.lang.Object
implements javax.xml.xpath.XPathFunctionResolver

Nested Class Summary
`static class` | `JaxpFunctionResolver.CombineUrl`
`static class` | `JaxpFunctionResolver.ComposeUrl`
`class` | `JaxpFunctionResolver.DayTimeDuration`
`class` | `JaxpFunctionResolver.Delete`
`static class` | `JaxpFunctionResolver.DomToString`
`class` | `JaxpFunctionResolver.DoXslTransform`
`class` | `JaxpFunctionResolver.GetVariableProperty`
`class` | `JaxpFunctionResolver.InsertAfter`
`class` | `JaxpFunctionResolver.InsertAsFirstInto`
`class` | `JaxpFunctionResolver.InsertAsLastInto`
`class` | `JaxpFunctionResolver.InsertBefore`
`class` | `JaxpFunctionResolver.InsertInto`
`class` | `JaxpFunctionResolver.ProcessProperty`
`class` | `JaxpFunctionResolver.Rename`
`class` | `JaxpFunctionResolver.SplitToElements` Compile time checking for the non standard ode:splitToElements function.
`class` | `JaxpFunctionResolver.YearMonthDuration`

Constructor Summary
`JaxpFunctionResolver(CompilerContext cctx, OXPath20ExpressionBPEL20 out, NSContext nsContext, java.lang.String bpelNS)`

Method Summary
`javax.xml.xpath.XPathFunction` | `resolveFunction(javax.xml.namespace.QName functionName, int arity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxpFunctionResolver

    public JaxpFunctionResolver(CompilerContext cctx,
                                OXPath20ExpressionBPEL20 out,
                                NSContext nsContext,
                                java.lang.String bpelNS)

Method Detail

### resolveFunction

    public javax.xml.xpath.XPathFunction resolveFunction(javax.xml.namespace.QName functionName,
                                                         int arity)

  Specified by:
    `resolveFunction` in interface `javax.xml.xpath.XPathFunctionResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD